Subject: Re: Binary grep t7008 known breakage vanished on Cygwin

From: Adam Dinwoodie <[email-masked]>
Date: Tue, 19 Apr 2016 09:42:32 +0100

On Mon, Apr 18, 2016 at 06:08:15PM +0100, Ramsay Jones wrote:
> On 18/04/16 16:21, Adam Dinwoodie wrote:
> > t7008.12 is marked as an expected failure, but building Git on Cygwin
> > including a `make configure && ./configure` step has the test
> > unexpectedly passing.  Building without the configure step has the test
> > failing as expected.
> > 
> > This appears to be behaviour specific to Cygwin; at least I get that
> > test failing on my CentOS box regardless of whether I perform the
> > configure step.
> 
> Yes, the configure sets NO_REGEX= whereas the config.mak.uname sets
> NO_REGEX=UnfortunatelyYes.
> 
> [Note that the regex bug (see t0070-fundamental.sh test #5) now seems to
> pass with the 'native' regex library]

Ah, that makes sense.

I'm still not quite sure what the "correct" thing to do here is; it
looks as though the NOREGEX=UnfortunatelyYes can disappear from
config.mak.uname, but that still leaves t7008.12 passing when it's
expected to fail.

Adam